## Flags and Enumerations Flags and Enumerations |

## Functions

const gchar * | mm_bearer_type_get_string ()
const gchar * | mm_bearer_ip_method_get_string ()
gchar * | mm_bearer_ip_family_build_string_from_mask ()
gchar * | mm_bearer_allowed_auth_build_string_from_mask ()
const gchar * | mm_bearer_multiplex_support_get_string ()
gchar * | mm_bearer_apn_type_build_string_from_mask ()
const gchar * | mm_sim_type_get_string ()
const gchar * | mm_sim_esim_status_get_string ()
const gchar * | mm_sim_removability_get_string ()
const gchar * | mm_bearer_access_type_preference_get_string ()
gchar * | mm_bearer_roaming_allowance_build_string_from_mask ()
const gchar * | mm_bearer_profile_source_get_string ()
gchar * | mm_modem_capability_build_string_from_mask ()
const gchar * | mm_modem_state_get_string ()
const gchar * | mm_modem_state_failed_reason_get_string ()
const gchar * | mm_modem_state_change_reason_get_string ()
const gchar * | mm_modem_power_state_get_string ()
const gchar * | mm_modem_lock_get_string ()
gchar * | mm_modem_access_technology_build_string_from_mask ()
gchar * | mm_modem_mode_build_string_from_mask ()
const gchar * | mm_modem_band_get_string ()
const gchar * | mm_modem_port_type_get_string ()
const gchar * | mm_modem_3gpp_registration_state_get_string ()
const gchar * | mm_modem_3gpp_subscription_state_get_string ()
gchar * | mm_modem_3gpp_facility_build_string_from_mask ()
const gchar * | mm_modem_3gpp_network_availability_get_string ()
const gchar * | mm_modem_3gpp_ussd_session_state_get_string ()
const gchar * | mm_modem_3gpp_eps_ue_mode_operation_get_string ()
const gchar * | mm_modem_3gpp_packet_service_state_get_string ()
const gchar * | mm_modem_3gpp_mico_mode_get_string ()
const gchar * | mm_modem_3gpp_drx_cycle_get_string ()
const gchar * | mm_modem_cdma_registration_state_get_string ()
const gchar * | mm_modem_cdma_activation_state_get_string ()
const gchar * | mm_modem_cdma_rm_protocol_get_string ()
gchar * | mm_modem_location_source_build_string_from_mask ()
gchar * | mm_modem_location_assistance_data_type_build_string_from_mask ()
const gchar * | mm_modem_contacts_storage_get_string ()
gchar * | mm_modem_firmware_update_method_build_string_from_mask ()
const gchar * | mm_sms_pdu_type_get_string ()
const gchar * | mm_sms_state_get_string ()
const gchar * | mm_sms_delivery_state_get_string ()
const gchar * | mm_sms_storage_get_string ()
const gchar * | mm_sms_validity_type_get_string ()
const gchar * | mm_sms_cdma_teleservice_id_get_string ()
const gchar * | mm_sms_cdma_service_category_get_string ()
const gchar * | mm_firmware_image_type_get_string ()
gchar * | mm_oma_feature_build_string_from_mask ()
const gchar * | mm_oma_session_type_get_string ()
const gchar * | mm_oma_session_state_get_string ()
const gchar * | mm_oma_session_state_failed_reason_get_string ()
const gchar * | mm_call_direction_get_string ()
const gchar * | mm_call_state_get_string ()
const gchar * | mm_call_state_reason_get_string ()
const gchar * | mm_cell_type_get_string ()
const gchar * | mm_serving_cell_type_get_string ()
const gchar * | mm_network_error_get_string ()
const gchar * | mm_cbm_state_get_string ()

## Description

## Functions

### mm_bearer_type_get_string ()

    const gchar *
    mm_bearer_type_get_string (MMBearerType val);

Gets the nickname string for the MMBearerType specified at `val` .

#### Parameters

val | a MMBearerType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_bearer_ip_method_get_string ()

    const gchar *
    mm_bearer_ip_method_get_string (MMBearerIpMethod val);

Gets the nickname string for the MMBearerIpMethod specified at `val` .

#### Parameters

val | a MMBearerIpMethod. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_bearer_ip_family_build_string_from_mask ()

    gchar *
    mm_bearer_ip_family_build_string_from_mask
                                   (MMBearerIpFamily mask);

Builds a string containing a comma-separated list of nicknames for each MMBearerIpFamily in `mask` .

#### Parameters

mask | bitmask of MMBearerIpFamily values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_bearer_allowed_auth_build_string_from_mask ()

    gchar *
    mm_bearer_allowed_auth_build_string_from_mask
                                   (MMBearerAllowedAuth mask);

Builds a string containing a comma-separated list of nicknames for each MMBearerAllowedAuth in `mask` .

#### Parameters

mask | bitmask of MMBearerAllowedAuth values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_bearer_multiplex_support_get_string ()

    const gchar *
    mm_bearer_multiplex_support_get_string
                                   (MMBearerMultiplexSupport val);

Gets the nickname string for the MMBearerMultiplexSupport specified at `val` .

#### Parameters

val | a MMBearerMultiplexSupport. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_bearer_apn_type_build_string_from_mask ()

    gchar *
    mm_bearer_apn_type_build_string_from_mask
                                   (MMBearerApnType mask);

Builds a string containing a comma-separated list of nicknames for each MMBearerApnType in `mask` .

#### Parameters

mask | bitmask of MMBearerApnType values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_sim_type_get_string ()

    const gchar *
    mm_sim_type_get_string (MMSimType val);

Gets the nickname string for the MMSimType specified at `val` .

#### Parameters

val | a MMSimType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_sim_esim_status_get_string ()

    const gchar *
    mm_sim_esim_status_get_string (MMSimEsimStatus val);

Gets the nickname string for the MMSimEsimStatus specified at `val` .

#### Parameters

val | a MMSimEsimStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_sim_removability_get_string ()

    const gchar *
    mm_sim_removability_get_string (MMSimRemovability val);

Gets the nickname string for the MMSimRemovability specified at `val` .

#### Parameters

val | a MMSimRemovability. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_bearer_access_type_preference_get_string ()

    const gchar *
    mm_bearer_access_type_preference_get_string
                                   (MMBearerAccessTypePreference val);

Gets the nickname string for the MMBearerAccessTypePreference specified at `val` .

#### Parameters

val | a MMBearerAccessTypePreference. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_bearer_roaming_allowance_build_string_from_mask ()

    gchar *
    mm_bearer_roaming_allowance_build_string_from_mask
                                   (MMBearerRoamingAllowance mask);

Builds a string containing a comma-separated list of nicknames for each MMBearerRoamingAllowance in `mask` .

#### Parameters

mask | bitmask of MMBearerRoamingAllowance values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_bearer_profile_source_get_string ()

    const gchar *
    mm_bearer_profile_source_get_string (MMBearerProfileSource val);

Gets the nickname string for the MMBearerProfileSource specified at `val` .

#### Parameters

val | a MMBearerProfileSource. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_capability_build_string_from_mask ()

    gchar *
    mm_modem_capability_build_string_from_mask
                                   (MMModemCapability mask);

Builds a string containing a comma-separated list of nicknames for each MMModemCapability in `mask` .

#### Parameters

mask | bitmask of MMModemCapability values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_modem_state_get_string ()

    const gchar *
    mm_modem_state_get_string (MMModemState val);

Gets the nickname string for the MMModemState specified at `val` .

#### Parameters

val | a MMModemState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_state_failed_reason_get_string ()

    const gchar *
    mm_modem_state_failed_reason_get_string
                                   (MMModemStateFailedReason val);

Gets the nickname string for the MMModemStateFailedReason specified at `val` .

#### Parameters

val | a MMModemStateFailedReason. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_state_change_reason_get_string ()

    const gchar *
    mm_modem_state_change_reason_get_string
                                   (MMModemStateChangeReason val);

Gets the nickname string for the MMModemStateChangeReason specified at `val` .

#### Parameters

val | a MMModemStateChangeReason. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_power_state_get_string ()

    const gchar *
    mm_modem_power_state_get_string (MMModemPowerState val);

Gets the nickname string for the MMModemPowerState specified at `val` .

#### Parameters

val | a MMModemPowerState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_lock_get_string ()

    const gchar *
    mm_modem_lock_get_string (MMModemLock val);

Gets the nickname string for the MMModemLock specified at `val` .

#### Parameters

val | a MMModemLock. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_access_technology_build_string_from_mask ()

    gchar *
    mm_modem_access_technology_build_string_from_mask
                                   (MMModemAccessTechnology mask);

Builds a string containing a comma-separated list of nicknames for each MMModemAccessTechnology in `mask` .

#### Parameters

mask | bitmask of MMModemAccessTechnology values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_modem_mode_build_string_from_mask ()

    gchar *
    mm_modem_mode_build_string_from_mask (MMModemMode mask);

Builds a string containing a comma-separated list of nicknames for each MMModemMode in `mask` .

#### Parameters

mask | bitmask of MMModemMode values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_modem_band_get_string ()

    const gchar *
    mm_modem_band_get_string (MMModemBand val);

Gets the nickname string for the MMModemBand specified at `val` .

#### Parameters

val | a MMModemBand. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_port_type_get_string ()

    const gchar *
    mm_modem_port_type_get_string (MMModemPortType val);

Gets the nickname string for the MMModemPortType specified at `val` .

#### Parameters

val | a MMModemPortType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_3gpp_registration_state_get_string ()

    const gchar *
    mm_modem_3gpp_registration_state_get_string
                                   (MMModem3gppRegistrationState val);

Gets the nickname string for the MMModem3gppRegistrationState specified at `val` .

#### Parameters

val | a MMModem3gppRegistrationState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_3gpp_subscription_state_get_string ()

    const gchar *
    mm_modem_3gpp_subscription_state_get_string
                                   (MMModem3gppSubscriptionState val);

Gets the nickname string for the MMModem3gppSubscriptionState specified at `val` .

#### Parameters

val | a MMModem3gppSubscriptionState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_3gpp_facility_build_string_from_mask ()

    gchar *
    mm_modem_3gpp_facility_build_string_from_mask
                                   (MMModem3gppFacility mask);

Builds a string containing a comma-separated list of nicknames for each MMModem3gppFacility in `mask` .

#### Parameters

mask | bitmask of MMModem3gppFacility values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_modem_3gpp_network_availability_get_string ()

    const gchar *
    mm_modem_3gpp_network_availability_get_string
                                   (MMModem3gppNetworkAvailability val);

Gets the nickname string for the MMModem3gppNetworkAvailability specified at `val` .

#### Parameters

val | a MMModem3gppNetworkAvailability. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_3gpp_ussd_session_state_get_string ()

    const gchar *
    mm_modem_3gpp_ussd_session_state_get_string
                                   (MMModem3gppUssdSessionState val);

Gets the nickname string for the MMModem3gppUssdSessionState specified at `val` .

#### Parameters

val | a MMModem3gppUssdSessionState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_3gpp_eps_ue_mode_operation_get_string ()

    const gchar *
    mm_modem_3gpp_eps_ue_mode_operation_get_string
                                   (MMModem3gppEpsUeModeOperation val);

Gets the nickname string for the MMModem3gppEpsUeModeOperation specified at `val` .

#### Parameters

val | a MMModem3gppEpsUeModeOperation. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_3gpp_packet_service_state_get_string ()

    const gchar *
    mm_modem_3gpp_packet_service_state_get_string
                                   (MMModem3gppPacketServiceState val);

Gets the nickname string for the MMModem3gppPacketServiceState specified at `val` .

#### Parameters

val | a MMModem3gppPacketServiceState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_3gpp_mico_mode_get_string ()

    const gchar *
    mm_modem_3gpp_mico_mode_get_string (MMModem3gppMicoMode val);

Gets the nickname string for the MMModem3gppMicoMode specified at `val` .

#### Parameters

val | a MMModem3gppMicoMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_3gpp_drx_cycle_get_string ()

    const gchar *
    mm_modem_3gpp_drx_cycle_get_string (MMModem3gppDrxCycle val);

Gets the nickname string for the MMModem3gppDrxCycle specified at `val` .

#### Parameters

val | a MMModem3gppDrxCycle. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_cdma_registration_state_get_string ()

    const gchar *
    mm_modem_cdma_registration_state_get_string
                                   (MMModemCdmaRegistrationState val);

Gets the nickname string for the MMModemCdmaRegistrationState specified at `val` .

#### Parameters

val | a MMModemCdmaRegistrationState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_cdma_activation_state_get_string ()

    const gchar *
    mm_modem_cdma_activation_state_get_string
                                   (MMModemCdmaActivationState val);

Gets the nickname string for the MMModemCdmaActivationState specified at `val` .

#### Parameters

val | a MMModemCdmaActivationState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_cdma_rm_protocol_get_string ()

    const gchar *
    mm_modem_cdma_rm_protocol_get_string (MMModemCdmaRmProtocol val);

Gets the nickname string for the MMModemCdmaRmProtocol specified at `val` .

#### Parameters

val | a MMModemCdmaRmProtocol. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_location_source_build_string_from_mask ()

    gchar *
    mm_modem_location_source_build_string_from_mask
                                   (MMModemLocationSource mask);

Builds a string containing a comma-separated list of nicknames for each MMModemLocationSource in `mask` .

#### Parameters

mask | bitmask of MMModemLocationSource values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_modem_location_assistance_data_type_build_string_from_mask ()

    gchar *
    mm_modem_location_assistance_data_type_build_string_from_mask
                                   (MMModemLocationAssistanceDataType mask);

Builds a string containing a comma-separated list of nicknames for each MMModemLocationAssistanceDataType in `mask` .

#### Parameters

mask | bitmask of MMModemLocationAssistanceDataType values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_modem_contacts_storage_get_string ()

    const gchar *
    mm_modem_contacts_storage_get_string (MMModemContactsStorage val);

Gets the nickname string for the MMModemContactsStorage specified at `val` .

#### Parameters

val | a MMModemContactsStorage. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_modem_firmware_update_method_build_string_from_mask ()

    gchar *
    mm_modem_firmware_update_method_build_string_from_mask
                                   (MMModemFirmwareUpdateMethod mask);

Builds a string containing a comma-separated list of nicknames for each MMModemFirmwareUpdateMethod in `mask` .

#### Parameters

mask | bitmask of MMModemFirmwareUpdateMethod values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_sms_pdu_type_get_string ()

    const gchar *
    mm_sms_pdu_type_get_string (MMSmsPduType val);

Gets the nickname string for the MMSmsPduType specified at `val` .

#### Parameters

val | a MMSmsPduType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_sms_state_get_string ()

    const gchar *
    mm_sms_state_get_string (MMSmsState val);

Gets the nickname string for the MMSmsState specified at `val` .

#### Parameters

val | a MMSmsState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_sms_delivery_state_get_string ()

    const gchar *
    mm_sms_delivery_state_get_string (MMSmsDeliveryState val);

Gets the nickname string for the MMSmsDeliveryState specified at `val` .

#### Parameters

val | a MMSmsDeliveryState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_sms_storage_get_string ()

    const gchar *
    mm_sms_storage_get_string (MMSmsStorage val);

Gets the nickname string for the MMSmsStorage specified at `val` .

#### Parameters

val | a MMSmsStorage. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_sms_validity_type_get_string ()

    const gchar *
    mm_sms_validity_type_get_string (MMSmsValidityType val);

Gets the nickname string for the MMSmsValidityType specified at `val` .

#### Parameters

val | a MMSmsValidityType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_sms_cdma_teleservice_id_get_string ()

    const gchar *
    mm_sms_cdma_teleservice_id_get_string (MMSmsCdmaTeleserviceId val);

Gets the nickname string for the MMSmsCdmaTeleserviceId specified at `val` .

#### Parameters

val | a MMSmsCdmaTeleserviceId. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_sms_cdma_service_category_get_string ()

    const gchar *
    mm_sms_cdma_service_category_get_string
                                   (MMSmsCdmaServiceCategory val);

Gets the nickname string for the MMSmsCdmaServiceCategory specified at `val` .

#### Parameters

val | a MMSmsCdmaServiceCategory. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_firmware_image_type_get_string ()

    const gchar *
    mm_firmware_image_type_get_string (MMFirmwareImageType val);

Gets the nickname string for the MMFirmwareImageType specified at `val` .

#### Parameters

val | a MMFirmwareImageType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_oma_feature_build_string_from_mask ()

    gchar *
    mm_oma_feature_build_string_from_mask (MMOmaFeature mask);

Builds a string containing a comma-separated list of nicknames for each MMOmaFeature in `mask` .

#### Parameters

mask | bitmask of MMOmaFeature values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### mm_oma_session_type_get_string ()

    const gchar *
    mm_oma_session_type_get_string (MMOmaSessionType val);

Gets the nickname string for the MMOmaSessionType specified at `val` .

#### Parameters

val | a MMOmaSessionType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_oma_session_state_get_string ()

    const gchar *
    mm_oma_session_state_get_string (MMOmaSessionState val);

Gets the nickname string for the MMOmaSessionState specified at `val` .

#### Parameters

val | a MMOmaSessionState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_oma_session_state_failed_reason_get_string ()

    const gchar *
    mm_oma_session_state_failed_reason_get_string
                                   (MMOmaSessionStateFailedReason val);

Gets the nickname string for the MMOmaSessionStateFailedReason specified at `val` .

#### Parameters

val | a MMOmaSessionStateFailedReason. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_call_direction_get_string ()

    const gchar *
    mm_call_direction_get_string (MMCallDirection val);

Gets the nickname string for the MMCallDirection specified at `val` .

#### Parameters

val | a MMCallDirection. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_call_state_get_string ()

    const gchar *
    mm_call_state_get_string (MMCallState val);

Gets the nickname string for the MMCallState specified at `val` .

#### Parameters

val | a MMCallState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_call_state_reason_get_string ()

    const gchar *
    mm_call_state_reason_get_string (MMCallStateReason val);

Gets the nickname string for the MMCallStateReason specified at `val` .

#### Parameters

val | a MMCallStateReason. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_cell_type_get_string ()

    const gchar *
    mm_cell_type_get_string (MMCellType val);

Gets the nickname string for the MMCellType specified at `val` .

#### Parameters

val | a MMCellType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_serving_cell_type_get_string ()

    const gchar *
    mm_serving_cell_type_get_string (MMServingCellType val);

Gets the nickname string for the MMServingCellType specified at `val` .

#### Parameters

val | a MMServingCellType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_network_error_get_string ()

    const gchar *
    mm_network_error_get_string (MMNetworkError val);

Gets the nickname string for the MMNetworkError specified at `val` .

#### Parameters

val | a MMNetworkError. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mm_cbm_state_get_string ()

    const gchar *
    mm_cbm_state_get_string (MMCbmState val);

Gets the nickname string for the MMCbmState specified at `val` .

#### Parameters

val | a MMCbmState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]